﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Windows.Forms;
using HeuristicLab.DataImporter.DbExplorer.Interfaces;

namespace HeuristicLab.DataImporter.DbExplorer.MsSqlServer {
  public partial class SqlServerConnectionWizard : Form, IDbConnectionWizard {

    private SqlServerConnection connection;
    public DbConnectionBase Connection {
      get { return connection; }
    }
    public SqlServerConnectionWizard() {
      InitializeComponent();
      chbWindowsAuthentication.Checked = true;
    }

    private void chbWindowsAuthentication_CheckedChanged(object sender, EventArgs e) {
      if (chbWindowsAuthentication.Checked) {
        txtUsername.Enabled = false;
        txtPassword.Enabled = false;
      } else {
        txtUsername.Enabled = true;
        txtPassword.Enabled = true;
      }
    }

    private void btnOK_Click(object sender, EventArgs e) {
      connection = new SqlServerConnection(txtServerName.Text, txtDatabaseName.Text, txtUsername.Text, txtPassword.Text, chbWindowsAuthentication.Checked);
    }
  }
}
